<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}
{% block content %}
{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}

<div ng-controller="dashboardController" ng-cloak="stats">

  <h3>
    {% if logo_url %}
    <img src="{{ logo_url }}" style="max-height: 60px"/>
    {% endif %}
    {{ bookshop.name | capfirst }} </h3>

    <div class="col-lg-6">
      <div class="row panel panel-default">
        <h3 class="panel panel-heading">{% trans "Composition of the stock" %}</h3>
        <div ng-show="stats" class="panel panel-body">
          <table class="table table-condensed">
            <tbody>
              <tr>
                <td>
                  <h4>{% trans "Number of titles" %}</h4><small>{% trans "Le nombre de titres différents, ou notices, en stock. Livres uniquement." %}</small>
                </td>
                <td>
                  <h4>{{'stats.nb_book_titles.value'|ng }}</h4>
                </td>
              </tr>
              <tr>
                <td>
                  <h4>{% trans "Number of books" %}</h4><small>{% trans "Le nombre total de livres physiques en stock." %}</small>
                </td>
                <td>
                  <h4>{{'stats.nb_in_stock.value'|ng }}</h4>
                </td>
              </tr>
              <tr>
                <td>
                  <h4>{% trans "Number of other products" %}</h4><small>{% trans "Le nombre d'autres objets en stock qui ne sont pas des livres." %}</small>
                </td>
                <td>
                  <h4>{{'stats.nb_non_book_products.value'|ng}}</h4>
                </td>
              </tr>
              <tr>
                <td title="{% trans "Cost of each card by its quantity in stock, rounded to the upper decimal." %}">
                  <h4>{% trans "Value of the stock" %}</h4><small>{% trans "(valeur mise à jour toutes les 2 heures)" %}</small>
                </td>
                <td>
                  <h4>{{'stats.total_cost.value_fmt'|ng }}</h4>
                </td>
              </tr>
              <tr>
                <td title="{% trans "Cost of each card by its quantity in stock, rounded to the upper decimal." %}">
                  <h4>{% trans "Value of the stock" %} {% trans "excl. tax" %}</h4><small>{% trans "(valeur mise à jour toutes les 2 heures)" %}</small>
                </td>
                <td>
                  <h4>{{'stats.total_cost_excl_tax.value_fmt'|ng }}</h4>
                </td>
              </tr>

              <!-- Only possible with FEL complet Onix -->
              <!-- <tr> -->
              <!--   <td> -->
              <!--     <h4> -->
              <!--       {% trans "Stock provision (approx)" %} -->
              <!--     </h4> -->
              <!--   </td> -->
              <!--   <td> -->
              <!--     {{ 'stats.stock_provision_fmt.value' | ng }} -->
              <!--     (40%: {{ 'stats.stock_provision_cut.value' | ng }}) -->
              <!--   </td> -->
              <!-- </tr> -->

            </tbody>
          </table>
        </div>
      </div>

      <div class="row panel panel-default">
        {% trans "Number of titles" as text_number_titles %}
        <h3 class="panel panel-heading">{% trans "Shelves" %} ({{ text_number_titles | lower }}) </h3>
        <div class="panel panel-body">
          <div id="chart_shelves_data" style="display: none">
            {{ chart_shelves_data }}
          </div>
          <div id="chart_shelves"> </div>

          <div>
            {% for data in shelves_data %}
            {{ data.0 }}: {{ data.1 }} &bull;
            {% endfor %}
            …
          </div>

        </div>
      </div>

      <div ng-show="deposits.length" class="row panel panel-warning">
        <h3 class="panel panel-heading">{% trans "Next deposits to pay" %}</h3>
        <div class="panel panel-body">
          <div>
            <table class="table table-striped">
              <thead>
                <tr>
                  <th>{% trans "Deposit" %}</th>
                  <th>{% trans "Supplier" %}</th>
                  <th>{% trans "due date" %}</th>
                </tr>
              </thead>
              <tbody>
                <tr ng-repeat="depo in deposits">
                  <th>{{ 'depo.name' | ng }}</th>
                  <th>{{ 'depo.distributor' | ng }}</th>
                  <th>{{ 'depo.due_date' | ng }}</th>
                </tr>
              </tbody>
            </table>
          </div><em ng-hide="deposits.length">{% trans "No data" %}</em>
        </div>
      </div>
      <!--.row.panel.panel-info
           <h3 class="panel panel-heading">{% trans "Comfort of the stock" %}</h3>
           <div class="panel panel-body">
           <div ng-show="stats">
           <div>{% trans "Nb cards with no copy" %}: {{'stats.nb_cards_no_stock.value' |ng}}</div>
           <div>{% trans "Nb cards with one copy" %}: {{'stats.nb_cards_one_copy.value' |ng }}</div>
           </div>
           <div id="chartNoStock"></div>
           </div>-->

      <div class="row panel panel-info">
        <h3 class="panel panel-heading">{% trans "Age of the stock per shelf" %}</h3>
        <div class="panel panel-body">
          <div><em>{% trans "Choose a shelf to show the corresponding graph." %}</em>
          </div>
          <label class="col-sm-4">{% trans "Shelf" %}</label>
          <div class="col-md-8">
            <form>
              <select ng-model="shelf" ng-change="age_shelf()" ng-options="elt.fields.name for elt in shelfs" class="form-control"></select>
            </form>
          </div>
        </div>
        <div id="chart-age"></div>
      </div>

    </div>

    <div class="col-lg-6">
      <div class="row panel panel-info">
        <h3 class="panel panel-heading"><span>{% trans "Revenue, monthly" %}: {{'sells_month.revenue_fmt'|ng}}</span><span style="padding-left: 1em" ng-show="sells_month.revenue > sells_last_month.revenue">🚀</span>
        </h3>
        <div class="panel panel-body">
          <div class="col-md-6">
            <p class="input-group">
              <input title="{% trans "Choose another month to see its stats" %}" type="text" uib-datepicker-popup="{{"revenue_date_format"|ng}}" ng-model="revenue_date" ng-change="revenue_change_month()" is-open="revenue_popup_status.opened" datepicker-options="datepicker_revenue_options" class="form-control"/><span class="input-group-btn">
                <button type="button" ng-click="revenue_open_datepicker($event)" class="btn btn-default"><i class="glyphicon glyphicon-calendar"></i>
                </button></span>
            </p>
          </div>
          <div class="col-md-6">
            <div>{% trans "total cards sold" %}: {{'sells_month.nb_cards_sold'|ng}}</div>
            <div>{% trans "nb of sells" %}: {{'sells_month.nb_sells'|ng}}</div>
            <div>{% trans "mean" %}: {{'sells_month.mean_fmt'|ng}}</div>
          </div>
          <div class="col-md-12">
            <h4>{% trans "Last year" %}</h4>
          </div>
          <div class="col-md-6">
            <div>{{ 'sells_last_month.revenue_fmt' | ng }}</div>
            <div class="progress">
              <div role="progressbar" style="width: {{ 'sells_comparison_percent' | ng }}%;" aria-valuemax="100" aria-valuemin="0" aria-valuenow="{{ 'sells_comparison_percent' | ng }}" class="progress-bar bg-info">{{ 'sells_comparison_percent' | ng }}%</div>
            </div>
          </div>
          <div class="col-md-6">
            <div>{% trans "total cards sold" %}: {{'sells_last_month.nb_cards_sold'|ng}}</div>
            <div>{% trans "nb of sells" %}: {{'sells_last_month.nb_sells'|ng}}</div>
            <div>{% trans "mean" %}: {{'sells_last_month.mean_fmt'|ng}}</div>
          </div>
        </div>
      </div>
    </div>

    <div class="col-lg-6">
      <div id="best_shelves">
        {% include "search/includes/best_shelves.html" %}
      </div>
    </div>

</div>

<script>
  let s = document.getElementById('chart_shelves_data');
  let data = JSON.parse(s.textContent);
  var chart = c3.generate({
    bindto: '#chart_shelves',
    data: {
      type: 'pie',
      columns: data,
    },
    legend: {
      show: false
    },
  });

  setTimeout(function () {
    chart.resize({width:600})
  }, 1000);

</script>


{% endblock content %}
